# Créé par boula, le 05/02/2023 en Python 3.7
from matplotlib import pyplot as plt
from math import *

# Initialisation des variables et des listes
Ci = 0.1
pKa = []
Ka = []
delta = []
tf = []

# Remplissage des listes
for j in range(0,15) :
    pKa.append(j)

for j in range (0,15) :
    Ka.append(10**(-pKa[j]))

for j in range (0,15) :
    delta.append(Ka[j]**2+4*Ka[j]*Ci)

for j in range (0,15) :
     tf.append(100*(-Ka[j]+sqrt(delta[j]))/(2*Ci))

# Tracé de la courbe
plt.plot(pKa,tf,"rx--")
plt.title("Evolution du taux d'avancement final en fonction du pKa de l'acide")
plt.xlabel("pKa")
plt.ylabel("Taux d'avancement final en %")
plt.grid()
plt.show()
