# Créé par boula, le 02/02/2023 en Python 3.7
from matplotlib import pyplot as plt
from math import *

# Initialisation des variables et des listes
pKa = 9.2
Ka = 10**(-pKa)
Ci = []
tf = []
delta = []

# Remplissage des listes
for j in range(0,101) :
    Ci.append(j/100)

del Ci[0]

for j in range (0,100) :
    delta.append(Ka**2+4*Ka*Ci[j])

for j in range (0,100) :
     tf.append(100*(-Ka+sqrt(delta[j]))/(2*Ci[j]))

# Tracé de la courbe
plt.plot(Ci,tf,"gx--")
plt.title("Evolution du taux d'avancement final en fonction de la concentration initiale de l'acide")
plt.xlabel("Concentration initiale de l'acide en mol/L")
plt.ylabel("Taux d'avanecment final en %")
plt.grid()
plt.show()
